Bug 1414659 - [abrt] tumbler: zip_find_trailer(): tumblerd killed by SIGBUS
Summary: [abrt] tumbler: zip_find_trailer(): tumblerd killed by SIGBUS
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: tumbler
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:fd3badd4bbd278e4679c5889f94...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-19 07:38 UTC by Dino Conti
Modified: 2017-12-12 10:51 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:51:31 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (47.26 KB, text/plain)
2017-01-19 07:38 UTC, Dino Conti
no flags Details
File: cgroup (148 bytes, text/plain)
2017-01-19 07:38 UTC, Dino Conti
no flags Details
File: core_backtrace (3.56 KB, text/plain)
2017-01-19 07:38 UTC, Dino Conti
no flags Details
File: dso_list (8.27 KB, text/plain)
2017-01-19 07:38 UTC, Dino Conti
no flags Details
File: environ (462 bytes, text/plain)
2017-01-19 07:38 UTC, Dino Conti
no flags Details
File: exploitable (82 bytes, text/plain)
2017-01-19 07:38 UTC, Dino Conti
no flags Details
File: limits (1.29 KB, text/plain)
2017-01-19 07:38 UTC, Dino Conti
no flags Details
File: maps (40.28 KB, text/plain)
2017-01-19 07:38 UTC, Dino Conti
no flags Details
File: mountinfo (3.64 KB, text/plain)
2017-01-19 07:38 UTC, Dino Conti
no flags Details
File: namespaces (102 bytes, text/plain)
2017-01-19 07:38 UTC, Dino Conti
no flags Details
File: open_fds (665 bytes, text/plain)
2017-01-19 07:38 UTC, Dino Conti
no flags Details
File: proc_pid_status (1.11 KB, text/plain)
2017-01-19 07:38 UTC, Dino Conti
no flags Details
File: var_log_messages (28 bytes, text/plain)
2017-01-19 07:38 UTC, Dino Conti
no flags Details

Description Dino Conti 2017-01-19 07:38:18 UTC
Description of problem:
i was saving a libreoffice presentation which is on an NTFS partition

Version-Release number of selected component:
tumbler-0.1.31-3.fc24

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/lib64/tumbler-1/tumblerd
crash_function: zip_find_trailer
executable:     /usr/lib64/tumbler-1/tumblerd
global_pid:     3840
kernel:         4.9.3-200.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 zip_find_trailer at gsf-infile-zip.c:179
 #1 zip_read_dirents at gsf-infile-zip.c:400
 #2 zip_init_info at gsf-infile-zip.c:495
 #3 gsf_infile_zip_constructor at gsf-infile-zip.c:847
 #4 g_object_new_with_custom_constructor at gobject.c:1701
 #5 g_object_new_internal at gobject.c:1781
 #6 g_object_new_valist at gobject.c:2042
 #8 gsf_infile_zip_new at gsf-infile-zip.c:998
 #9 odf_thumbnailer_create at odf-thumbnailer.c:354
 #10 tumbler_lifo_scheduler_thread at tumbler-lifo-scheduler.c:495

Potential duplicate: bug 914849

Comment 1 Dino Conti 2017-01-19 07:38:24 UTC
Created attachment 1242387 [details]
File: backtrace

Comment 2 Dino Conti 2017-01-19 07:38:25 UTC
Created attachment 1242388 [details]
File: cgroup

Comment 3 Dino Conti 2017-01-19 07:38:27 UTC
Created attachment 1242389 [details]
File: core_backtrace

Comment 4 Dino Conti 2017-01-19 07:38:29 UTC
Created attachment 1242390 [details]
File: dso_list

Comment 5 Dino Conti 2017-01-19 07:38:31 UTC
Created attachment 1242391 [details]
File: environ

Comment 6 Dino Conti 2017-01-19 07:38:32 UTC
Created attachment 1242392 [details]
File: exploitable

Comment 7 Dino Conti 2017-01-19 07:38:34 UTC
Created attachment 1242393 [details]
File: limits

Comment 8 Dino Conti 2017-01-19 07:38:37 UTC
Created attachment 1242394 [details]
File: maps

Comment 9 Dino Conti 2017-01-19 07:38:39 UTC
Created attachment 1242396 [details]
File: mountinfo

Comment 10 Dino Conti 2017-01-19 07:38:41 UTC
Created attachment 1242397 [details]
File: namespaces

Comment 11 Dino Conti 2017-01-19 07:38:42 UTC
Created attachment 1242398 [details]
File: open_fds

Comment 12 Dino Conti 2017-01-19 07:38:44 UTC
Created attachment 1242399 [details]
File: proc_pid_status

Comment 13 Dino Conti 2017-01-19 07:38:46 UTC
Created attachment 1242400 [details]
File: var_log_messages

Comment 14 Fedora Admin XMLRPC Client 2017-01-29 10:46:16 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 15 Fedora End Of Life 2017-11-16 15:31:11 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 16 Fedora End Of Life 2017-12-12 10:51:31 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.